build_targets: &build_targets
  - "@boringssl//:crypto"
  - "@boringssl//:ssl"

matrix: &matrix
  non_macos_platform:
    - centos7_java11_devtoolset10
    - debian11
    - ubuntu2204
    - windows
  bazel: [7.x]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ non_macos_platform }}
    bazel: ${{ bazel }}
    build_targets: *build_targets
  # Work around https://github.com/bazelbuild/bazel/issues/10472
  verify_targets_on_macos:
    name: Verify build targets on macOS
    platform: macos
    bazel: ${{ bazel }}
    build_targets: *build_targets
    build_flags: &macos_workaround
      - '--cxxopt=-std=c++14'
      - '--sandbox_block_path=/usr/local'
bcr_test_module:
  module_path: util/bazel-example
  matrix: *matrix
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ non_macos_platform }}
      bazel: ${{ bazel }}
      build_targets:
        - //...
    # Work around https://github.com/bazelbuild/bazel/issues/10472
    run_test_module_on_macos:
      name: Run test module on macOS
      platform: macos
      bazel: ${{ bazel }}
      build_targets:
        - //...
      build_flags: *macos_workaround
